package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryCheckStockDtl;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryCheckStockDtlExample;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryCheckStockSummary;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InventoryCheckStockDtlMapper {
    
    int countByExample(InventoryCheckStockDtlExample example);
    
    int deleteByExample(InventoryCheckStockDtlExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryCheckStockDtl record);
    
    int insertSelective(InventoryCheckStockDtl record);
    
    List<InventoryCheckStockDtl> selectByExample(InventoryCheckStockDtlExample example);
    
    InventoryCheckStockDtl selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryCheckStockDtl record, @Param("example") InventoryCheckStockDtlExample example);
    
    int updateByExample(@Param("record") InventoryCheckStockDtl record, @Param("example") InventoryCheckStockDtlExample example);
    
    int updateByPrimaryKeySelective(InventoryCheckStockDtl record);
    
    int updateByPrimaryKey(InventoryCheckStockDtl record);
    
    void batchInsert(@Param("items") List<InventoryCheckStockDtl> items);
    
    InventoryCheckStockSummary selectSummary(Integer checkId);
}